### Function

# RB gvalue_compare

#### Declaration [src]

    int
    rb_gvalue_compare (
      GValue* a,
      GValue* b
    )

#### Description [src]

Compares `a` and `b` for sorting. `a` and `b` must contain the same value type for the comparison to be valid. Comparisons for some value types are not particularly useful.

This function is not directly available to language bindings.

#### Parameters

`a`

  Type: `GValue`

  Left hand side.

  The data is owned by the caller of the function.

`b`

  Type: `GValue`

  Right hand size.

  The data is owned by the caller of the function.

#### Return value

Type: `int`

-1 if `a` < `b`, 0 if `a` == `b`, 1 if `a` > `b`.